Jump to content

Welcome to Geeks to Go - Register now for FREE

Geeks To Go is a helpful hub, where thousands of volunteer geeks quickly serve friendly answers and support. Check out the forums and get free advice from the experts. Register now to gain access to all of our features, it's FREE and only takes one minute. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more.

Create Account How it Works
Photo

iTunes 5.0


  • Please log in to reply

#1
acapn

acapn

    New Member

  • Member
  • Pip
  • 1 posts
I've been using iTunes for awhile and recently downloaded version 5.0- ever since I downloaded the new version, iTunes will not recognize my iPod. When i connect my Pod, I get the following error message:
"Software required for communicating with the iPod is not installed correctly. Please reinstall iTunes to install the iPod's software."
I've tried reinstalling iTunes a few times with no luck.
Has anybody had similar problems? Please help if you can.

Thanks
  • 0

Advertisements


#2
starjax

starjax

    Global Moderator

  • Global Moderator
  • 6,591 posts
5.1 is out now, have you tried that version?
  • 0

#3
InvisiBel1

InvisiBel1

    New Member

  • Member
  • Pip
  • 1 posts
This happened to me, too. Just reinstall the iPod software (using the CD that came with your iPod). Then, reboot the computer, run the iPod updater (it should pop up on the screen after rebooting). This worked for me. Good luck!

Belinda :tazz:

Edited by InvisiBel1, 28 September 2005 - 07:32 AM.

  • 0

#4
lt b0ngo

lt b0ngo

    Member

  • Member
  • PipPipPip
  • 161 posts
Yeh as has been said get itunes 5.01 and the new ipod updater.
  • 0






Similar Topics

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

As Featured On:

Microsoft Yahoo BBC MSN PC Magazine Washington Post HP